Debian Bug report logs - #443373
linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: sean finney <seanius@debian.org>

Date: Thu, 20 Sep 2007 21:48:02 UTC

Owned by: Martin Michlmayr <tbm@cyrius.com>

Severity: important

Fixed in versions 2.6.21-1, 2.6.23-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#443373; Package linux-image-2.6.18-4-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Thu, 20 Sep 2007 23:45:49 +0200
Package: linux-image-2.6.18-4-ixp4xx
Version: 2.6.18.dfsg.1-12
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

hi,

same story as this guy:

http://www.mail-archive.com/debian-arm@lists.debian.org/msg06810.html

and i can verify removing the bitmaps later fixes the problem.

here's a dmesg, good fun indeed...

Linux version 2.6.18-4-ixp4xx (Debian 2.6.18.dfsg.1-12) (waldi@debian.org) (gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)) #1 Tue Mar 27 18:01:56 BST 2007
CPU: XScale-IXP42x Family [690541f1] revision 1 (ARMv5TE), cr=0000397f
Machine: Linksys NSLU2

<snip>

device-mapper: ioctl: 4.7.0-ioctl (2006-06-24) initialised: dm-devel@redhat.com
md: bind<sdb3>
md: bind<sda3>
raid1: raid set md2 active with 2 out of 2 mirrors
md2: bitmap initialized from disk: read 11/11 pages, set 0 bits, status: 0
created bitmap (174 pages) for device md2
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Link of eth0 is full-duplex
usb 3-1: reset high speed USB device using ehci_hcd and address 2
kjournald starting.  Commit interval 5 seconds
kernel BUG at drivers/md/bitmap.c:1166!
Unable to handle kernel NULL pointer dereference at virtual address 00000000
pgd = c1730000
[00000000] *pgd=0111b031, *pte=00000000, *ppte=00000000
Internal error: Oops: 817 [#1]
Modules linked in: ledtrig_heartbeat dm_snapshot dm_mirror dm_mod rtc_dev ixp4xx_mac ixp4xx_qmgr ixp4xx_npe ixp4xx_beeper firmware_class ext3 jbd mbcache raid1 md_mod sd_mod usb_storage scsi_mod ehci_hcd ohci_hcd usbcore
CPU: 0
PC is at __bug+0x44/0x58
LR is at 0x1
pc : [<c00238a0>]    lr : [<00000001>]    Not tainted
sp : c168db0c  ip : 60000093  fp : c168db18
r10: 00000002  r9 : c13c2960  r8 : 00000000
r7 : 00000008  r6 : c02b92c0  r5 : c1133000  r4 : 00000000
r3 : 00000000  r2 : 00000000  r1 : 0000223f  r0 : 00000001
Flags: nZCv  IRQs off  FIQs on  Mode SVC_32  Segment user
Control: 397F  Table: 01730000  DAC: 00000015
Process mount (pid: 2785, stack limit = 0xc168c250)
Stack: (0xc168db0c to 0xc168e000)
db00:                            c168db40 c168db1c bf06ffa4 c0023868 00000000 
db20: c0430168 00000000 c0430160 c13c2660 c13c2360 c168db84 c168db44 bf07c6f8 
db40: bf06fe0c c129a480 c1ea8a00 00000002 c1056dc0 00000000 c168db84 00000000 
db60: c13c2660 c12720ec 00000008 00000008 c1791400 c13c2660 c168dbc8 c168db88 
db80: c00f046c bf07c184 c12a6f20 c168dbbc 00000000 c168dbb0 c168dba4 c005d1a4 
dba0: c0075250 c168dbe8 c1041f94 c13c2660 00000001 00000001 00000000 c168dc1c 
dbc0: c168dbcc c00f29a0 c00f02f0 c13c2660 c02f6d00 00000010 00000000 c168dc0c 
dbe0: c168dbec c007e834 c005d274 c1041f94 00000002 00000001 c1041f94 c13c2660 
dc00: 00000001 00000001 00000000 000015b6 c168dc38 c168dc20 c007a628 c00f28d0 
dc20: c1041f94 00000002 c10b1400 c168dc50 c168dc3c c007c750 c007a4dc c1791400 
dc40: c1041f94 c168dc70 c168dc54 bf0a1940 c007c6a8 c1791400 c10b1400 00000000 
dc60: c196ad60 c168dcbc c168dc74 bf0a245c bf0a18ec c0b53644 c0b535ec c0469398 
dc80: c168dca4 c168dc90 c0091684 c00d6db0 c0469398 c0b535ec c168dcbc 00000000 
dca0: 00000008 c196ad60 c10b1400 c196ad60 c168dd50 c168dcc0 bf0a43c0 bf0a2368 
dcc0: 00000000 00000000 00000000 00000000 c1041f94 00000001 00000000 0000002c 
dce0: 00000000 c196ad60 0000002c 00000000 00000000 c168dd14 c168dd04 c0104128 
dd00: c0103a6c c168dd1c c168dd40 c168dd20 c00b2c10 c0104110 c01d5228 c0453000 
dd20: 00000000 00000000 c1bf0078 c10b1400 c10b1400 c1bf0060 00000000 00000000 
dd40: c0453000 c168dd98 c168dd54 c0080790 bf0a3488 0032646d c168dd64 c005eed8 
dd60: c005e4a0 000280d0 00000010 c02b5200 c168c000 c0453000 c02d3a20 bf0b74cc 
dd80: c1790000 00000000 c0452000 c168ddb0 c168dd9c bf0a179c c00806a8 bf0a347c 
dda0: c02d3a20 c168dde0 c168ddb4 c0080094 bf0a1784 c02d3a20 bf0b74cc ffffffed 
ddc0: c0453000 c0452000 00000000 c168def4 c0b73000 c168ddfc c168dde4 c008017c 
dde0: c0080000 00000000 00000008 00000000 c168df74 c168de00 c0097044 c0080150 
de00: c0453000 c168de84 c168de14 c00899e4 c0095b60 c121eea4 c02d30a0 00000017 
de20: ffffffff c020d108 00000001 00000001 00000000 000248d8 000248e8 c168dfac 
de40: c168df08 c0025dd4 c0025a04 c0e7dd4c c168df50 c168df1c c0069228 c0068298 
de60: c168df24 c0e8c000 c168ded0 c168ded0 00000001 c0e8c000 c168deac c168de88 
de80: c0089e28 c008989c c168de94 c0e8c000 00000001 fffffffe 00000001 c168ded0 
dea0: c168decc c0210fa4 00000000 20000013 c168df00 c168dec0 c005e594 c005e178 
dec0: 00000044 00000044 000200d0 00000000 00000000 00000001 c0211484 00024948 
dee0: 000000d0 c0211484 00000000 c168c000 c1301c80 c0b53380 c02d30a0 c005eed8 
df00: c005e4a0 000200d0 00000001 00000001 00000000 c0069228 00000000 00024948 
df20: 000248d8 c0ed0400 c168df84 c168c000 000248e8 c168df50 c168df44 c005f150 
df40: c005ee84 c168df74 c168df54 00000000 c0e8c000 000248d8 c0ed0400 c001ff24 
df60: c168c000 000248e8 c168dfa4 c168df78 c009713c c0096ac4 c0453000 c0452000 
df80: c0b73000 c0453000 00024948 00024948 00000000 00000015 00000000 c168dfa8 
dfa0: c001fd80 c00970bc 00024948 00024948 000248d8 000248e8 000248f8 c0ed0400 
dfc0: 00024948 00024948 00000000 000248d8 00000400 000248d8 000248e8 00000000 
dfe0: 400ee1d0 beba2b64 0000aa58 400ee1dc 60000010 000248d8 676f0000 00000067 
Backtrace: 
[<c002385c>] (__bug+0x0/0x58) from [<bf06ffa4>] (bitmap_startwrite+0x1a4/0x1ec [md_mod])
[<bf06fe00>] (bitmap_startwrite+0x0/0x1ec [md_mod]) from [<bf07c6f8>] (make_request+0x580/0x5e8 [raid1])
 r8 = C13C2360  r7 = C13C2660  r6 = C0430160  r5 = 00000000
 r4 = C0430168 
[<bf07c178>] (make_request+0x0/0x5e8 [raid1]) from [<c00f046c>] (generic_make_request+0x188/0x1a0)
[<c00f02e4>] (generic_make_request+0x0/0x1a0) from [<c00f29a0>] (submit_bio+0xdc/0x104)
 r8 = 00000000  r7 = 00000001  r6 = 00000001  r5 = C13C2660
 r4 = C1041F94 
[<c00f28c4>] (submit_bio+0x0/0x104) from [<c007a628>] (submit_bh+0x158/0x188)
[<c007a4d0>] (submit_bh+0x0/0x188) from [<c007c750>] (sync_dirty_buffer+0xb4/0x144)
 r6 = C10B1400  r5 = 00000002  r4 = C1041F94 
[<c007c69c>] (sync_dirty_buffer+0x0/0x144) from [<bf0a1940>] (ext3_commit_super+0x60/0x68 [ext3])
 r5 = C1041F94  r4 = C1791400 
[<bf0a18e0>] (ext3_commit_super+0x0/0x68 [ext3]) from [<bf0a245c>] (ext3_setup_super+0x100/0x1ac [ext3])
 r7 = C196AD60  r6 = 00000000  r5 = C10B1400  r4 = C1791400
[<bf0a235c>] (ext3_setup_super+0x0/0x1ac [ext3]) from [<bf0a43c0>] (ext3_fill_super+0xf44/0x13b8 [ext3])
 r8 = C196AD60  r7 = C10B1400  r6 = C196AD60  r5 = 00000008
 r4 = 00000000 
[<bf0a347c>] (ext3_fill_super+0x0/0x13b8 [ext3]) from [<c0080790>] (get_sb_bdev+0xf4/0x158)
[<c008069c>] (get_sb_bdev+0x0/0x158) from [<bf0a179c>] (ext3_get_sb+0x24/0x30 [ext3])
[<bf0a1778>] (ext3_get_sb+0x0/0x30 [ext3]) from [<c0080094>] (vfs_kern_mount+0xa0/0x130)
[<c007fff4>] (vfs_kern_mount+0x0/0x130) from [<c008017c>] (do_kern_mount+0x38/0x4c)
[<c0080144>] (do_kern_mount+0x0/0x4c) from [<c0097044>] (do_mount+0x58c/0x5f8)
 r6 = 00000000  r5 = 00000008  r4 = 00000000 
[<c0096ab8>] (do_mount+0x0/0x5f8) from [<c009713c>] (sys_mount+0x8c/0xd4)
[<c00970b0>] (sys_mount+0x0/0xd4) from [<c001fd80>] (ret_fast_syscall+0x0/0x2c)
 r7 = 00000015  r6 = 00000000  r5 = 00024948  r4 = 00024948
Code: eb004925 e59f0014 eb004923 e3a03000 (e5833000) 
 

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG8uoNynjLPm522B0RAmeJAJ9SgUho7AVK4Rjzro7iFdg2zGeQWgCeK+ZW
Y0E2cUXfqaQDnMWtzU5vPIY=
=AxCc
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#443373; Package linux-image-2.6.18-4-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #10 received at 443373@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: sean finney <seanius@debian.org>, 443373@bugs.debian.org
Cc: gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Fri, 21 Sep 2007 08:49:52 +0200
* sean finney <seanius@debian.org> [2007-09-20 23:45]:
> Package: linux-image-2.6.18-4-ixp4xx
> 
> same story as this guy:
> http://www.mail-archive.com/debian-arm@lists.debian.org/msg06810.html

Thanks for the report.  I'll try to reproduce this with the latest
kernel this weekend.
-- 
Martin Michlmayr
http://www.cyrius.com/




Bug reassigned from package `linux-image-2.6.18-4-ixp4xx' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 21 Sep 2007 06:51:03 GMT) Full text and rfc822 format available.

Owner recorded as Martin Michlmayr <tbm@cyrius.com>. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 21 Sep 2007 06:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #19 received at 443373@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 443373@bugs.debian.org, gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Fri, 21 Sep 2007 09:10:21 +0200
[Message part 1 (text/plain, inline)]
On Friday 21 September 2007 08:49:52 am Martin Michlmayr wrote:
> * sean finney <seanius@debian.org> [2007-09-20 23:45]:
> > Package: linux-image-2.6.18-4-ixp4xx
> >
> > same story as this guy:
> > http://www.mail-archive.com/debian-arm@lists.debian.org/msg06810.html
>
> Thanks for the report.  I'll try to reproduce this with the latest
> kernel this weekend.

in case it's helpful, there's supposed to be a 2.6.21 backport in 
backports.org, but there was a problem with the arm upload or something to 
that effect.  i've spoken with the arm/bpo buildd admin (kmuto) and he's 
going to fix the problem soon.

looking in upstream git, i can't be sure but i think this might be the fix:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=da6e1a32fb8d7539a27f699c8671f64d7fefd0cc

or at least the BUG_ON is right about where i saw it (give or take a few 
lines). 

i don't really have the resources to try compilingpatched arm kernels,  but if 
you do and want me to test something just let me know.



	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #24 received at 443373@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 443373@bugs.debian.org, gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Tue, 25 Sep 2007 20:14:58 +0200
[Message part 1 (text/plain, inline)]
hiya, 


On Friday 21 September 2007 08:49:52 am you wrote:
> * sean finney <seanius@debian.org> [2007-09-20 23:45]:
> > Package: linux-image-2.6.18-4-ixp4xx
> >
> > same story as this guy:
> > http://www.mail-archive.com/debian-arm@lists.debian.org/msg06810.html
>
> Thanks for the report.  I'll try to reproduce this with the latest
> kernel this weekend.

fyi, i just installed a 2.6.21 backport like the reporter, and it seems fixed.   
if you want to test a backported patch like the one i provided (and have the 
resources to compile an arm kernel), i'll happily test it :)


	sean

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 443373@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: sean finney <seanius@debian.org>
Cc: 443373@bugs.debian.org, gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Tue, 25 Sep 2007 20:16:45 +0200
* sean finney <seanius@debian.org> [2007-09-25 20:14]:
> fyi, i just installed a 2.6.21 backport like the reporter, and it
> seems fixed.   if you want to test a backported patch like the one i
> provided (and have the resources to compile an arm kernel), i'll
> happily test it :)

Yes, if you could do this, I'd appreciate it.  I realized over the
weekend that I cannot try to reproduce this problem since I currently
only have one USB disk enclosure. (I lent one to a friend.)  I'll
prepare a 2.6.18 kernel with the patch you mentioned in the next few
days.

Thanks a lot.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 443373@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: sean finney <seanius@debian.org>, 443373@bugs.debian.org
Cc: gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Wed, 26 Sep 2007 11:15:12 +0200
* sean finney <seanius@debian.org> [2007-09-21 09:10]:
> i don't really have the resources to try compilingpatched arm kernels,  but if 
> you do and want me to test something just let me know.

I put two test kernels at http://merkel.debian.org/~tbm/nslu2/

If the "a" variant works, can you please also try the "b" variant (if
the "a" doesn't work, there's no need to try "b").
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #39 received at 443373@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 443373@bugs.debian.org, gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Wed, 26 Sep 2007 21:33:41 +0200
[Message part 1 (text/plain, inline)]
hi martin,

On Wednesday 26 September 2007 11:15:12 am Martin Michlmayr wrote:
> * sean finney <seanius@debian.org> [2007-09-21 09:10]:
> > i don't really have the resources to try compilingpatched arm kernels, 
> > but if you do and want me to test something just let me know.
>
> I put two test kernels at http://merkel.debian.org/~tbm/nslu2/
>
> If the "a" variant works, can you please also try the "b" variant (if
> the "a" doesn't work, there's no need to try "b").

like i mentioned on irc, "a" doesn't work, unfortunately.  with "a" it doesn't 
oops/crash, and instead will hang when mounting an md device with a bitmap.

the system is still useable while it hangs, though it will require a hard 
reboot due to the hung mount.  i'm pretty sur ethe patch is still relevant, 
but i think there's more that needs to be done.  so i've taken the difference 
between 2.6.18 and 2.6.21 from upstream git, and cherry picked the commits 
that looked like they might be relevant.  below i've attached the commit logs 
incl description and commit id's, as well as a patch of all of these 
cherry-picked into the 2.6.18 version.

shall we give it another try with this? 


	sean



[bitmap.diff (text/x-diff, attachment)]
[bitmap.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bryan Christopher de Taunay <bryan.taunay@openk.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #44 received at 443373@bugs.debian.org (full text, mbox):

From: Bryan Christopher de Taunay <bryan.taunay@openk.com.br>
To: 443373@bugs.debian.org
Subject: unsubscribe
Date: Wed, 26 Sep 2007 16:51:29 -0300





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 443373@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: sean finney <seanius@debian.org>, 443373@bugs.debian.org
Cc: gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Thu, 27 Sep 2007 14:18:42 +0200
* sean finney <seanius@debian.org> [2007-09-26 21:33]:
> shall we give it another try with this? 

I uploaded some new kernels to http://merkel.debian.org/~tbm/nslu2/

13a: all 5 patches: md-build-bug-on md-endian md-avoid-reading md-avoid-bugon md-fix-calc
13b: first 4 patches: md-build-bug-on md-endian md-avoid-reading md-avoid-bugon
13c: first 3 patches: md-build-bug-on md-endian md-avoid-reading
13d: first 2 patches: md-build-bug-on md-endian
13e: first patch: md-build-bug-on

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 443373@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: sean finney <seanius@debian.org>, 443373@bugs.debian.org
Cc: gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Tue, 16 Oct 2007 16:32:02 -0600
Sean, did you have a chance to tese these kernel images I prepared?
If not, I suggest we close this bug saying that it has been fixed in
newer kernels.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #64 received at 443373@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 443373@bugs.debian.org, gordonfarquharson@gmail.com
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Thu, 18 Oct 2007 08:30:12 +0200
[Message part 1 (text/plain, inline)]
hi martin,

On Wednesday 17 October 2007 12:32:02 am Martin Michlmayr wrote:
> Sean, did you have a chance to tese these kernel images I prepared?
> If not, I suggest we close this bug saying that it has been fixed in
> newer kernels.

i haven't yet, but i would really like to try, still.   i worked a bit last 
week to see if i could reproduce this in qemu (so i wouldn't need to do the 
whole reboot/flash/reinstall-kernel thing so many times), but without luck.  
it could be that the qemu instance didn't work because it was a different 
kernel subarchitecture (it doesn't provide an ixp4xx one), or because the 
devices i setup (loopback based files that were a couple hundred megs) were 
not big enough to trigger it. 

i'll try and look at it more this weekend.



	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#443373; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 443373@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: sean finney <seanius@debian.org>, 443373@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#443373: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Sun, 11 Nov 2007 19:25:13 +0100
fixed 443373 2.6.21-1
thanks

Fixed in 2.6.21 and higher, which means the fix will be in 2.6.23
which will probably be used for the etch kernel update.
-- 
Martin Michlmayr
http://www.cyrius.com/




Bug marked as fixed in version 2.6.21-1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 11 Nov 2007 18:27:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to sean finney <seanius@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #76 received at 443373-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 443373-done@bugs.debian.org
Subject: Re: linux-image-2.6.18-4-ixp4xx: kernel null paging request, crash from bitmapped md devices
Date: Wed, 21 May 2008 20:49:46 +0200
Version: 2.6.23-1

> Fixed in 2.6.21 and higher, which means the fix will be in 2.6.23

thus closing.

-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jun 2008 07:38:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:55:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.